Last Comment Bug 791266 - Add .CAF files (Core Audio Format) to the types of sound files selectable on OS X.
: Add .CAF files (Core Audio Format) to the types of sound files selectable on ...
Status: RESOLVED FIXED
[good first bug][lang=js][mentor=IanN...
:
Product: SeaMonkey
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: All All
-- normal (vote)
: ---
Assigned To: Edmund Wong (:ewong)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 08:39 PDT by Philip Chee
Modified: 2012-11-12 18:08 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Add .CAF files to types of sound files selectable on OS X. (v1) (1020 bytes, patch)
2012-11-11 21:43 PST, Edmund Wong (:ewong)
stefanh: review+
Details | Diff | Splinter Review
Add .CAF files to types of sound files selectable on OS X. (v2) (1.14 KB, patch)
2012-11-12 17:59 PST, Edmund Wong (:ewong)
ewong: review+
Details | Diff | Splinter Review

Description User image Philip Chee 2012-09-14 08:39:24 PDT
Where we need to add .caf support:

http://mxr.mozilla.org/comm-central/source/suite/common/pref/preferences.js?rev=84ac3c711098&mark=49-49,51-51#35

The equivalent Thunderbird patch is at this line:
https://hg.mozilla.org/comm-central/rev/fc2a8fd24ed1#l1.23
See TB Bug 466276 - .caf files grayed out (not selectable) in Preferences > General > Use the following sound file > Browse...

References: http://en.wikipedia.org/wiki/Core_Audio_Format
Comment 1 User image idlike2dream 2012-09-15 05:53:24 PDT
I am Ramana, a newbie. Can I work on this bug??
Comment 2 User image Philip Chee 2012-09-15 05:59:17 PDT
> I am Ramana, a newbie. Can I work on this bug??
Sure thing. First you need to be able to build SeaMonkey. Have you read https://developer.mozilla.org/en-US/docs/Simple_SeaMonkey_build ?
Also what OS are you on?
Comment 3 User image idlike2dream 2012-09-15 06:00:39 PDT
I have windows and Ubuntu I want to work on ubuntu.
Comment 4 User image Philip Chee 2012-09-15 06:04:29 PDT
In https://developer.mozilla.org/en-US/docs/Simple_SeaMonkey_build
For the section on Ubuntu instead of:
  sudo apt-get build-dep seamonkey
Use:
  sudo apt-get build-dep thunderbird
As Ubuntu has removed SeaMonkey from their distros.

Also please join us on IRC: irc://moznet/seamonkey . Another useful channel is irc://moznet/introduction where there is lots of help in getting started.
Comment 5 User image idlike2dream 2012-09-15 13:09:50 PDT
I am geting error like this

user@ubuntu:~$ sudo apt-get build-dep thunderbird
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: You must put some 'source' URIs in your sources.list

user@ubuntu:~$ sudo apt-get install mercurial libasound2-dev libcurl4-openssl-dev libnotify-dev
[sudo] password for mathnoob: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 libasound2-dev : Depends: libasound2 (= 1.0.25-1ubuntu10)
 libcurl4-openssl-dev : Depends: libkrb5-dev but it is not going to be installed
                        Depends: libldap2-dev but it is not going to be installed
                        Depends: librtmp-dev but it is not going to be installed
                        Depends: libssl-dev but it is not going to be installed
 libnotify-dev : Depends: libglib2.0-dev (>= 2.26) but it is not going to be installed
                 Depends: libgdk-pixbuf2.0-dev but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Can you please help??
Comment 6 User image Philip Chee 2012-09-16 12:29:46 PDT
Unfortunately I'm not on Linux. Can you try asking on IRC?
irc://moznet/introduction  should be a good place to start. Also
irc://moznet/seamonkey  for SeaMonkey specific build problems.
Comment 7 User image idlike2dream 2012-09-17 03:54:45 PDT
Okay Actually I kind of asked for help but I didn't any helpful advice till now.
Comment 8 User image Philip Chee 2012-09-17 04:02:28 PDT
Perhaps you could try the solution on this webpage:
http://www.mydigitallife.info/ubuntu-unmet-dependencies-not-going-to-be-installed-or-try-apt-get-f-install-error/
Comment 9 User image idlike2dream 2012-09-20 08:32:37 PDT
Can you tell me how to build on windows??
Comment 11 User image Philip Chee 2012-10-16 02:36:14 PDT
Hi idlike2dream@gmail.com. Are you still working on this?
Comment 12 User image idlike2dream 2012-10-28 00:19:01 PDT
Hey Sorry I wasn't online for quite a few months I am busy doing some other work now.
Comment 13 User image Philip Chee 2012-10-28 05:57:43 PDT
Thanks for letting us know.
Comment 14 User image Edmund Wong (:ewong) 2012-11-11 21:43:43 PST
Created attachment 680530 [details] [diff] [review]
Add .CAF files to types of sound files selectable on OS X. (v1)
Comment 15 User image Philip Chee 2012-11-12 08:27:48 PST
Comment on attachment 680530 [details] [diff] [review]
Add .CAF files to types of sound files selectable on OS X. (v1)

I think you need someone on Mac to test this patch.
Comment 16 User image Stefan [:stefanh] 2012-11-12 11:57:17 PST
Comment on attachment 680530 [details] [diff] [review]
Add .CAF files to types of sound files selectable on OS X. (v1)

   // On Mac, allow AIFF files too.
   if (/Mac/.test(navigator.platform))
-    filterExts += "; *.aif; *.aiff";
+    filterExts += "; *.aif; *.aiff; *.caf";

r= me if you change the comment to say "On Mac, allow AIFF and CAF files too."
Comment 17 User image Edmund Wong (:ewong) 2012-11-12 17:59:01 PST
Created attachment 680902 [details] [diff] [review]
Add .CAF files to types of sound files selectable on OS X. (v2)
Comment 18 User image Edmund Wong (:ewong) 2012-11-12 18:08:07 PST
Pushed to comm-central:
http://hg.mozilla.org/comm-central/rev/3830e86091b3

Note You need to log in before you can comment on or make changes to this bug.